# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Math/AnyNum.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Math-MatrixLUP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Matrix operations and LUP decomposition.
Group: Development/Perl
License: artistic_2
URL: https://github.com/trizen/Math-MatrixLUP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TR/TRIZEN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Math::MatrixLUP provides generic support for matrix operations and LUP decomposition, allowing any type of numbers inside the matrix, including native Perl numbers and numerical objects provided by other mathematical libraries, such as the Math::AnyNum manpage.

The following matrix operations are provided:

=over 2

=item * matrix-scalar arithmetical operations

=item * matrix multiplication and division

=item * matrix exponentiation

=item * determinant of a square-matrix

=item * inverting a square-matrix

=item * solving a system of linear equations

=back

Math::MatrixLUP objects are immutable.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md ignore.txt LICENSE Changes examples
%perl_vendor_privlib/M*

%changelog
* Tue Feb 12 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

